<?php

namespace Realestate\Seo\Forms;

use Litepie\Form\FormInterpreter;

class Seo extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('seo/seo/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('seo/seo/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('seo/seo'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('seo/seo'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('seo/seo'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('seo/seo'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('seo::seo.label.name'),
                "placeholder" => trans('seo::seo.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('seo::seo.label.created_at'),
            'name' => trans('seo::seo.label.name'),
            'status' => trans('seo::seo.label.status'),
        ];
        self::$groups = [
            'main' => trans('seo::seo.groups.main'),
            'details' => trans('seo::seo.groups.details'),
            'images' => trans('seo::seo.groups.images'),
            'settings' => trans('seo::seo.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('seo::seo.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('seo::seo.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('seo::seo.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('seo::seo.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'url' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('seo::seo.label.url'),
                "placeholder" => trans('seo::seo.placeholder.url'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('seo::seo.label.title'),
                "placeholder" => trans('seo::seo.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'keywords' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('seo::seo.label.keywords'),
                "placeholder" => trans('seo::seo.placeholder.keywords'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('seo::seo.label.description'),
                "placeholder" => trans('seo::seo.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'from' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('seo::seo.label.from'),
                "placeholder" => trans('seo::seo.placeholder.from'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'to' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('seo::seo.label.to'),
                "placeholder" => trans('seo::seo.placeholder.to'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
