<?php

namespace Realestate\Seo\Repositories\Eloquent;

use Realestate\Seo\Interfaces\SeoRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Realestate\Seo\Repositories\Eloquent\Presenters\SeoItemPresenter;


class SeoRepository extends BaseRepository implements SeoRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('realestate.seo.seo.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('realestate.seo.seo.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return SeoItemPresenter::class;
    }
}
